
Infrastructure - Task #1889

Story # 1888 (Closed): Arrange to publish java artifacts to Maven central

Apply for project repository at Sonatype

2011-10-24 21:50 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

Follow instructions for creating a repository to be synced with Maven Central:

https://docs.sonatype.org/display/Repository/Sonatype+OSS+Maven+Repository+Usage+Guide

History

#1 - 2011-10-24 21:50 - Matthew Jones

- Status changed from New to In Progress

#2 - 2011-10-24 21:52 - Matthew Jones

Applied for repository at Sonatype.  Ticket request is here:

https://issues.sonatype.org/browse/OSSRH-2380

Pending resolution from Sonatype.

#3 - 2011-10-25 06:02 - Matthew Jones

Sonatype approved access with the following email.  We can now publish maven artifacts there.

Juven Xu resolved OSSRH-2380.

Resolution: Fixed

Configuration has been prepared, now you can:

* Deploy snapshot artifacts into repository https://oss.sonatype.org/content/repositories/snapshots

* Deploy release artifacts into the staging repository https://oss.sonatype.org/service/local/staging/deploy/maven2

* Promote staged artifacts into repository 'Releases'

* Download snapshot and release artifacts from group https://oss.sonatype.org/content/groups/public

* Download snapshot, release and staged artifacts from staging group https://oss.sonatype.org/content/groups/staging

please comment on this ticket when you promoted your first release, thanks
#4 - 2011-10-27 21:36 - Matthew Jones

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
